Last Comment Bug 749357 - TiledThebesLayerOGL can draw un-rendered areas of tiles
: TiledThebesLayerOGL can draw un-rendered areas of tiles
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Graphics: Layers (show other bugs)
: Trunk
: ARM Android
: -- normal (vote)
: mozilla15
Assigned To: Benoit Girard (:BenWa)
:
:
Mentors:
: 749793 (view as bug list)
Depends on:
Blocks: 607417
  Show dependency treegraph
 
Reported: 2012-04-26 13:51 PDT by Chris Lord [:cwiiis]
Modified: 2012-05-02 22:53 PDT (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
unaffected
fixed
unaffected
+


Attachments
patch (27.17 KB, patch)
2012-04-27 13:12 PDT, Benoit Girard (:BenWa)
no flags Details | Diff | Splinter Review
patch (2.30 KB, patch)
2012-04-27 13:33 PDT, Benoit Girard (:BenWa)
chrislord.net: review+
Details | Diff | Splinter Review
Rebased patch (8.02 KB, patch)
2012-04-27 15:50 PDT, Chris Lord [:cwiiis]
blassey.bugs: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Chris Lord [:cwiiis] 2012-04-26 13:51:14 PDT
When running native android fennec with the patch on bug 607417, and with MOZ_FIXED_POSITION_LAYERS defined, fixed position layers draw areas of the tile that have not been rendered into (and should not be visible).

This can be seen on http://bradfrostweb.com/demo/fixed/index.html

Turning off tiled layer drawing fixes the problem. Turning off retained tiles makes no difference to the behaviour.
Comment 1 Benoit Girard (:BenWa) 2012-04-26 13:52:25 PDT
Most likely because we're not respecting the region, should be an easy fix. I'll look at this soon.
Comment 2 Benoit Girard (:BenWa) 2012-04-27 10:29:03 PDT
Taking the bug. This should be at least a release blocker.
Comment 3 Benoit Girard (:BenWa) 2012-04-27 13:12:47 PDT
Created attachment 619153 [details] [diff] [review]
patch
Comment 4 Benoit Girard (:BenWa) 2012-04-27 13:33:31 PDT
Created attachment 619162 [details] [diff] [review]
patch
Comment 5 Chris Lord [:cwiiis] 2012-04-27 15:43:45 PDT
Comment on attachment 619162 [details] [diff] [review]
patch

Review of attachment 619162 [details] [diff] [review]:
-----------------------------------------------------------------

This looks correct to me.
Comment 6 Chris Lord [:cwiiis] 2012-04-27 15:50:24 PDT
Created attachment 619196 [details] [diff] [review]
Rebased patch

I r+'d the original patch, but it doesn't apply to current central - here it is, rebased (non-trivial, so this should be reviewed if it's used). Works, but I've only done extremely limited testing.
Comment 7 Benoit Girard (:BenWa) 2012-04-30 07:15:33 PDT
Rebase looks good to me. Landing.
Comment 8 Benoit Girard (:BenWa) 2012-04-30 07:36:10 PDT
Comment on attachment 619196 [details] [diff] [review]
Rebased patch

[Approval Request Comment]
Regression caused by (bug #): Bug 739679 - Add a Shadowable TiledThebesLayer implementation
User impact if declined: Visual glitches for complex layers (non rectangular).
Testing completed (on m-c, etc.): Tested locally to fix a few test cases. I'm looking to allow a few days of bake time on m-c.
Risk to taking this patch (and alternatives if risky): Low, changed the draw region to reflect accurately the input value.
String changes made by this patch: None

Recommending a few days of bake time on m-c to be certain this fixes the problem to make sure we only need to uplift on patch for this problem.
Comment 9 Benoit Girard (:BenWa) 2012-04-30 10:09:21 PDT
*** Bug 749793 has been marked as a duplicate of this bug. ***
Comment 10 JP Rosevear [:jpr] 2012-04-30 10:58:30 PDT
Is there a link to the inbound changeset?
Comment 12 Tony Chung [:tchung] 2012-05-01 07:58:54 PDT
Verified fixed on brad's aurora try build.  

http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/blassey@mozilla.com-c3deb5626819

Note You need to log in before you can comment on or make changes to this bug.